/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/fs/fs.hpp>
#include <ox/model/desctypes.hpp>
#include <ox/std/buffer.hpp>
#include <ox/std/size.hpp>

#include <keel/context.hpp>
#include <turbine/context.hpp>

#include "initparams.hpp"

namespace nostalgia::core {

// User Input Output
class Context {

	public:
		turbine::Context *turbineCtx = nullptr;

		Context() noexcept = default;
		Context(Context &other) noexcept = delete;
		Context(const Context &other) noexcept = delete;
		Context(const Context &&other) noexcept = delete;

		auto &rom() noexcept {
			return *turbineCtx->rom;
		}

};

}

